# Record Class LCommandRecord

java.lang.Object
java.lang.Record
com.io7m.laurel.model.LCommandRecord

Record Components:
  `time` - The time
  `description` - The description

public record LCommandRecord(OffsetDateTime time, String description) extends Record
A record of a command.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LCommandRecord(OffsetDateTime time, String description)`
  A record of a command.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `description()`
  Returns the value of the `description` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `OffsetDateTime`
  `time()`
  Returns the value of the `time` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LCommandRecord

    public LCommandRecord(OffsetDateTime time, String description)
    A record of a command.
    Parameters:
      `time` - The time
      `description` - The description

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### time

    public OffsetDateTime time()
    Returns the value of the `time` record component.
    Returns:
      the value of the `time` record component

  - ### description

    public String description()
    Returns the value of the `description` record component.
    Returns:
      the value of the `description` record component